aboutsummaryrefslogtreecommitdiffstats
path: root/main/qt5-qtwebkit/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-29 12:26:05 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-29 12:26:10 +0200
commit13560770168c8c8f9c34df070f5dfb5473f67574 (patch)
tree34684255682932293d824939ddaea174002ce356 /main/qt5-qtwebkit/APKBUILD
parent308e6628a5b4ca35de19fcbedec34859fec7bd37 (diff)
downloadaports-13560770168c8c8f9c34df070f5dfb5473f67574.tar.gz
aports-13560770168c8c8f9c34df070f5dfb5473f67574.tar.bz2
aports-13560770168c8c8f9c34df070f5dfb5473f67574.tar.xz
main/qt5-qtwebkit: upgrade to 5.6.1 and build fix
Diffstat (limited to 'main/qt5-qtwebkit/APKBUILD')
-rw-r--r--main/qt5-qtwebkit/APKBUILD34
1 files changed, 24 insertions, 10 deletions
diff --git a/main/qt5-qtwebkit/APKBUILD b/main/qt5-qtwebkit/APKBUILD
index 01279f8b76..97e8d34ee6 100644
--- a/main/qt5-qtwebkit/APKBUILD
+++ b/main/qt5-qtwebkit/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=qt5-qtwebkit
-pkgver=5.6.0
-pkgrel=2
+pkgver=5.6.1
+pkgrel=0
pkgdesc="Qt5 - QtWebKit components"
url="http://qt-project.org/"
arch="all"
@@ -40,12 +40,12 @@ source="http://download.qt.io/community_releases/${_V%.*}/$_V/qtwebkit-opensourc
pic.patch
fix-rpath.patch
fix-execinfo.patch
+ 0001-Add-ARM-64-support.patch
"
builddir="$srcdir"/qtwebkit-opensource-src-$_V
prepare() {
default_prepare || return 1 # apply patches
-
# remove some bundled
mkdir Source/ThirdParty/orig
mv Source/ThirdParty/gtest/ \
@@ -57,7 +57,18 @@ prepare() {
build() {
cd "$builddir"
- qmake-qt5 && make || return 1
+ qmake-qt5 || return 1
+
+ # /usr/include/fortify/stdlib.h:20:25: fatal error: stdlib.h: No such file or directory
+ # see: http://stackoverflow.com/questions/37218953/isystem-on-a-system-include-directory-causes-errors
+ # see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71090
+ # see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
+ qmake-qt5 Source/JavaScriptCore/LLIntOffsetsExtractor.pro -o \
+ Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor || return 1
+ sed -i 's:-isystem /usr/include ::' \
+ Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor || return 1
+
+ make || return 1
}
package() {
@@ -68,15 +79,18 @@ package() {
sed -i -e 's:-L/home[^ ]\+::g' "$pkgdir"/usr/lib/pkgconfig/*.pc
}
-md5sums="b68565d18db63ee4db998bb8e37608a5 qtwebkit-opensource-src-5.6.0.tar.xz
+md5sums="9ea7cb557375ba2fc7c62742c522d093 qtwebkit-opensource-src-5.6.1.tar.xz
676350288efff119bee8513d9d0b2047 pic.patch
722c871b648adae302413159b12ada6b fix-rpath.patch
-7a2a2592e64561fa0bc8c0552181bf00 fix-execinfo.patch"
-sha256sums="9ca72373841f3a868a7bcc696956cdb0ad7f5e678c693659f6f0b919fdd16dfe qtwebkit-opensource-src-5.6.0.tar.xz
+7a2a2592e64561fa0bc8c0552181bf00 fix-execinfo.patch
+47657bc1b3f51892d0cc88a271a8fa31 0001-Add-ARM-64-support.patch"
+sha256sums="f5cfbfa5fad2b65a9be907d426f99694b86a04c3bb5a8814b21bd0ade4c672aa qtwebkit-opensource-src-5.6.1.tar.xz
51c0e843c5c6453526ee51ed69f2d4a7959767621da321f1082985dfe9f001ef pic.patch
b3e52d54fae9588d908289b53dda6042b59ab133cd8c301f4de23c0ee8dc2c01 fix-rpath.patch
-d8f6c84cf1a98174aa16660a422cd7b248a012e60bf37a9b5013f2bc61b6d63e fix-execinfo.patch"
-sha512sums="d9a2d10960cbdf8cf144f1cdaebf52ff95a6ad70b94b19c9ffcd0dd653d98c1e1fab6516e7dc481a4d199af5fb98d36ac41a309e10b96ada0e18f581946bb1af qtwebkit-opensource-src-5.6.0.tar.xz
+d8f6c84cf1a98174aa16660a422cd7b248a012e60bf37a9b5013f2bc61b6d63e fix-execinfo.patch
+a1abdfd978198c5b3d76637131bd76793735f1d94f0eea04e1b223967e58bc6e 0001-Add-ARM-64-support.patch"
+sha512sums="fb244d1913fb4387757580758a43594becbfd3b9fedf53ce3026290ba66a7044f78e242e04269030e200648931bbd625a6192c3455374eafa6021bb7b35c682f qtwebkit-opensource-src-5.6.1.tar.xz
9a62a5e7af91c44311b517608262f88b5bc607e75dc5878dd08b0a0872ec03fb7a566df0a41413f7e60beb1b9880e24f084b90c38ed50d4219ec2ad6af9bd62f pic.patch
00d59c0cdb58ae8e7cf6bc3d03f133697e74c267ccebe12238bcdc274d4c90210b82c2d8bdf0e949cd43da13a4fd8a4c35fb54a00ed5102a4ac4d23aa002d0fe fix-rpath.patch
-f17c2f4b90090c8f12e4ba1f2cbd7a9f496c8de024ba6e0d55b98e5b89ab89298aff84f39e81905e0491fe6bd11544633a8b191403a866e16ed654d44cf8dc6f fix-execinfo.patch"
+f17c2f4b90090c8f12e4ba1f2cbd7a9f496c8de024ba6e0d55b98e5b89ab89298aff84f39e81905e0491fe6bd11544633a8b191403a866e16ed654d44cf8dc6f fix-execinfo.patch
+af5097d44f73de156ca31a5423136301dfc12ae693e20c4702bf3f1c6e16395f3912e9268582480ba3177021f37d4cae3b84d4b23eeb063fdc40f2444d3b34c8 0001-Add-ARM-64-support.patch"